﻿Public Class MainViewModel
    Inherits ViewModelBase









    Private _showTestOne As ICommand
    Public Property ShowTestOne() As ICommand
        Get
            If _showTestOne Is Nothing Then _showTestOne = New RelayCommand(AddressOf ShowTestOne_Execute)
            Return _showTestOne
        End Get
        Set(ByVal value As ICommand)
            _showTestOne = value
            RaisePropertyChanged()
        End Set
    End Property

    Private Sub ShowTestOne_Execute(obj As Object)
        Dim filePath = $"{My.Application.Info.DirectoryPath}\Data\Data1.json"

        If Not IO.File.Exists(filePath) Then
            MessageBox.Show($"Keine Datendatei gefunden. Bitte stelle sicher das die Datei existiert. '{filePath}'")
        End If
        Dim jsonText = IO.File.ReadAllText(filePath)

        Dim vm As New TestOneVm(Newtonsoft.Json.JsonConvert.DeserializeObject(Of List(Of PersonVm))(jsonText))
        Dim win As New DataWindow
        With win
            .Title = "Test 1"
            .DataContext = vm
        End With
        win.Show()
    End Sub



End Class
