﻿Imports System.Collections.ObjectModel

Public Class TestOneVm
    Inherits ViewModelBase

    Public Sub New()
        Persons = New ObservableCollection(Of PersonVm)()
    End Sub

    Public Sub New(data As List(Of PersonVm))
        Persons = New ObservableCollection(Of PersonVm)(data.OrderBy(Function(x) x.LastName).ToList())
    End Sub



    Private _persons As ObservableCollection(Of PersonVm)
    Public Property Persons() As ObservableCollection(Of PersonVm)
        Get
            Return _persons
        End Get
        Set(ByVal value As ObservableCollection(Of PersonVm))
            _persons = value
            RaisePropertyChanged()
        End Set
    End Property

    Private _selectedPerson As PersonVm
    Public Property SelectedPerson() As PersonVm
        Get
            Return _selectedPerson
        End Get
        Set(ByVal value As PersonVm)
            _selectedPerson = value
            RaisePropertyChanged()
        End Set
    End Property

End Class
